﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrganizationDiagramSample.Model
{
    public class PersonaService
    {
        public PersonaService()
        {
        }

        public void GetPersonaOrgList(Action<UserInfo, Exception> callback)
        {
            try
            {
                string perosnaPicturesPath = "ms-appx:///Data/PersonaPictures/";

                var personaOrgList = new UserInfo
                {
                    FullName = "Brady Lundgren",
                    FirstName = "Brady",
                    LastName = "Lundgren",
                    EmailAlias = "brady@" + Utilities.Utilities.CRMConnectionSite + ".com",
                    Password = "P@$$w0rd",
                    RoleName = "",
                    StandardTitle = "Sales Executive",
                    //Picturepath = new Uri(perosnaPicturesPath + "Brady.png"),
                    GeoName = "USA",
                    Models = new ObservableCollection<UserInfo>
                    {
                        new UserInfo
                        {
                            FullName = "Jon Smith",
                            FirstName = "Jon",
                            LastName = "Smith",
                            EmailAlias = "jsmith@" + Utilities.Utilities.CRMConnectionSite + ".com",
                            Password = "P@$$w0rd",
                            RoleName = "",
                            StandardTitle = "Marketing Manager",
                            //Picturepath = new Uri(perosnaPicturesPath + "Jsmith.png"),
                            GeoName = "USA - East",
                            Models = new ObservableCollection<UserInfo>
                            {
                                new UserInfo
                                {
                                    FullName = "Shelley Ross",
                                    FirstName = "Shelley",
                                    LastName = "Ross",
                                    EmailAlias = "sross@" + Utilities.Utilities.CRMConnectionSite + ".com",
                                    Password = "P@$$w0rd",
                                    RoleName = "",
                                    StandardTitle = "Seller",
                                    //Picturepath = new Uri(perosnaPicturesPath + "Sross.png"),
                                    GeoName = "ATU: NYD.042.FSG.197"
                                }
                            }
                        },
                        new UserInfo
                        {
                            FullName = "Leta Holder",
                            FirstName = "Leta",
                            LastName = "Holder",
                            EmailAlias = "lholder@" + Utilities.Utilities.CRMConnectionSite + ".com",
                            Password = "P@$$w0rd",
                            RoleName = "",
                            StandardTitle = "Sales Manager",
                            //Picturepath = new Uri(perosnaPicturesPath + "Lholder.png"),
                            GeoName = "USA - Mid Atlantic"
                        }
                    }
                };



                //personaList.Add(new UserInfo() { FullName = "Judson Althoff", FirstName = "Judson", LastName = "Althoff", EmailAlias = "judson@" + Utilities.CRMConnectionSite + ".com", Password = "P@$$w0rd", RoleName = "", StandardTitle = "Sales Executive", Picturepath = new Uri(perosnaPicturesPath + "judson.jpg") });
                //personaList.Add(new UserInfo() { FullName = "Tiffany Cruz", FirstName = "Tiffany", LastName = "Cruz", EmailAlias = "tcruz@" + Utilities.CRMConnectionSite + ".com", Password = "P@$$w0rd", RoleName = "", StandardTitle = "Seller", Picturepath = new Uri(perosnaPicturesPath + "tcruz.jpg") });
                //personaList.Add(new UserInfo() { FullName = "Julian Trump", FirstName = "Julian", LastName = "Trump", EmailAlias = "jtrump@" + Utilities.CRMConnectionSite + ".com", Password = "P@$$w0rd", RoleName = "", StandardTitle = "Sales Manager", Picturepath = new Uri(perosnaPicturesPath + "jtrump.jpg") });
                //personaList.Add(new UserInfo() { FullName = "Grad Conn", FirstName = "Grad", LastName = "Conn", EmailAlias = "gradconn@" + Utilities.CRMConnectionSite + ".com", Password = "P@$$w0rd", RoleName = "", StandardTitle = "Marketing Manager", Picturepath = new Uri(perosnaPicturesPath + "gradconn.jpg") });
                //personaList.Add(new UserInfo() { FullName = "Jane Boulware", FirstName = "Jane", LastName = "Boulware", EmailAlias = "janeware@contosoSPS.com", Password = "P@$$w0rd", RoleName = "", StandardTitle = "Marketing Manager", Picturepath = new Uri(perosnaPicturesPath + "janeware.jpg") });
                //personaList.Add(new UserInfo() { FullName = "Allison Watson", FirstName = "Allison", LastName = "Watson", EmailAlias = "allisonw@contosoSPS.com", Password = "P@$$w0rd", RoleName = "", StandardTitle = "Sales Executive", Picturepath = new Uri(perosnaPicturesPath + "allisonw.jpg") });

                callback(personaOrgList, null);
            }
            catch (Exception ex)
            {
                callback(null, ex);
            }
        }

        public UserInfo GetPersonaList()
        {

            string perosnaPicturesPath = "ms-appx:///Data/PersonaPictures/";

            var userInfo = new UserInfo
            {
                FullName = "Brady Lundgren",
                FirstName = "Brady",
                LastName = "Lundgren",
                EmailAlias = "brady@" + Utilities.Utilities.CRMConnectionSite + ".com",
                Password = "P@$$w0rd",
                RoleName = "",
                StandardTitle = "Sales Executive",
                //Picturepath = new Uri(perosnaPicturesPath + "Brady.png"),
                GeoName = "USA",
                Models = new ObservableCollection<UserInfo>
                {
                    new UserInfo
                    {
                        FullName = "Jon Smith",
                        FirstName = "Jon",
                        LastName = "Smith",
                        EmailAlias = "jsmith@" + Utilities.Utilities.CRMConnectionSite + ".com",
                        Password = "P@$$w0rd",
                        RoleName = "",
                        StandardTitle = "Marketing Manager",
                        //Picturepath = new Uri(perosnaPicturesPath + "Jsmith.png"),
                        GeoName = "USA - East",
                        Models = new ObservableCollection<UserInfo>
                        {
                            new UserInfo
                            {
                                FullName = "Shelley Ross",
                                FirstName = "Shelley",
                                LastName = "Ross",
                                EmailAlias = "sross@" + Utilities.Utilities.CRMConnectionSite + ".com",
                                Password = "P@$$w0rd",
                                RoleName = "",
                                StandardTitle = "Seller",
                                //Picturepath = new Uri(perosnaPicturesPath + "Sross.png"),
                                GeoName = "ATU: NYD.042.FSG.197"
                            }
                        }
                    },
                    new UserInfo
                    {
                        FullName = "Leta Holder",
                        FirstName = "Leta",
                        LastName = "Holder",
                        EmailAlias = "lholder@" + Utilities.Utilities.CRMConnectionSite + ".com",
                        Password = "P@$$w0rd",
                        RoleName = "",
                        StandardTitle = "Sales Manager",
                       // Picturepath = new Uri(perosnaPicturesPath + "Lholder.png"),
                        GeoName = "USA - Mid Atlantic"
                    }
                }
            };


            return userInfo;
        }

    }
}
